/api/v1/squads (POST)
const url = 'https://api.endless.zaia.app/api/v1/squads';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"description":"example","mode":"hierarchical","name":"example","picture":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/squads \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "mode": "hierarchical", "name": "example", "picture": "example" }'Creates a new squad.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
The internal description of the squad.
The management mode. In flat, agents redirect the chat to one another. In hierarchical, all iterations are intermediated by the manager.
The display name of the squad.
The picture associated with the squad.
Responses
Seção intitulada “Responses”The squad was created.
object
A UUID v4 string that identifies an entity.
The ID of the original entity in production.
A UUID v4 string that identifies an entity.
The internal description of the squad.
The management mode. In flat, agents redirect the chat to one another. In hierarchical, all iterations are intermediated by the manager.
The display name of the squad.
The picture associated with the squad.
The super identity ID associated with the squad.
The workspace ID that owns the squad.
Example
{ "mode": "hierarchical"}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Plan limit exceeded.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}